Module | Sequel::Oracle::DatabaseMethods
In: | lib/sequel/adapters/shared/oracle.rb

### Methods

create_sequence create_trigger current_user database_type drop_sequence tables view_exists? views

### Constants

TEMPORARY | = | 'GLOBAL TEMPORARY '.freeze
AUTOINCREMENT | = | ''.freeze

### Attributes

autosequence | [RW] |

### Public Instance methods

create_sequence(name, opts={})

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 11
    11:       def create_sequence(name, opts={})
    12:         self << create_sequence_sql(name, opts)
    13:       end

create_trigger(*args)

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 15
    15:       def create_trigger(*args)
    16:         self << create_trigger_sql(*args)
    17:       end

current_user()

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 19
    19:       def current_user
    20:         @current_user ||= metadata_dataset.get{sys_context('USERENV', 'CURRENT_USER')}
    21:       end

database_type()

Oracle uses the :oracle database type

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 28
    28:       def database_type
    29:         :oracle
    30:       end

drop_sequence(name)

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 23
    23:       def drop_sequence(name)
    24:         self << drop_sequence_sql(name)
    25:       end

tables(opts={})

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 32
    32:       def tables(opts={})
    33:         m = output_identifier_meth
    34:         metadata_dataset.from(:tab).server(opts[:server]).select(:tname).filter(:tabtype => 'TABLE').map{|r| m.call(r[:tname])}
    35:       end

view_exists?(name)

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 42
    42:       def view_exists?(name)
    43:         m = input_identifier_meth
    44:         metadata_dataset.from(:tab).filter(:tname =>m.call(name), :tabtype => 'VIEW').count > 0
    45:       end

views(opts={})

[Source]

        # File lib/sequel/adapters/shared/oracle.rb, line 37
    37:       def views(opts={})
    38:         m = output_identifier_meth
    39:         metadata_dataset.from(:tab).server(opts[:server]).select(:tname).filter(:tabtype => 'VIEW').map{|r| m.call(r[:tname])}
    40:       end

[Validate]